%{?python_enable_dependency_generator}

%global modname vpoller
%global sum     Distributed vSphere API Proxy

Name:           python-%{modname}
Version:        0.7.1
Release:        1%{?dist}
Summary:        %{sum}

# setup.py mentions BSD license
License:        BSD
URL:            https://github.com/dnaeon/py-%{modname}
# hint: pypi misses several files but github provides
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         %{url}/commit/903cd5445da265b7bfa975bb44dc236ebf4cc97b.patch

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-docopt
BuildRequires:  python%{python3_pkgversion}-zmq
BuildRequires:  python%{python3_pkgversion}-vconnector
BuildRequires:  python%{python3_pkgversion}-pyvmomi
BuildRequires:  python%{python3_pkgversion}-sphinx

%global _description \
vPoller is a distributed VMware vSphere API Proxy,\
designed for discovering and polling of vSphere objects.\
\
It uses the VMware vSphere API in order to perform discovery\
and polling of vSphere objects.\
\
vPoller uses the ZeroMQ messaging library for distributing\
tasks to workers and load balancing of client requests.\
\
vPoller can be integrated with other systems, which require\
access to vSphere objects, but do not have native support\
for it.\
\
Possible scenarios where vPoller could be used is integration\
with monitoring systems as part of the discovery and polling\
process in order to provide monitoring of your VMware vSphere\
environment.

%description
%{_description}

%package     -n python%{python3_pkgversion}-%{modname}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
# no magic dependencies in epel
%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-pyvmomi
Requires:       python%{python3_pkgversion}-vconnector
Requires:       python%{python3_pkgversion}-zmq
Requires:       python%{python3_pkgversion}-docopt
%endif

%description -n python%{python3_pkgversion}-%{modname}
%{_description}


%prep
%autosetup -npy-%{modname}-%{version}

%build
%py3_build
PYTHONPATH=../src SPHINXOPTS=%{_smp_mflags} %make_build -C docs html

%install
%py3_install


%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE
%doc README.rst AUTHORS.txt
%doc docs/_build/*
%doc contrib/ extra/
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-py%{python3_version}.egg-info/
%{_bindir}/%{modname}-*


%changelog
* Sat Jan 26 2019 Raphael Groner <projects.rg@smart.ms> - 0.7.1-1
- initial
